=== modified file 'src/reboot.c'
--- src/reboot.c	2009-06-26 10:29:17 +0000
+++ src/reboot.c	2009-06-26 10:36:03 +0000
@@ -12,7 +12,7 @@
 #include "update.h"
 #include "gdm-logout-action.h"
 
-static GtkBuilder *xml;
+static GtkBuilder *builder;
 
 static gboolean
 show_notification (TrayApplet *ta)
@@ -73,7 +73,7 @@
 {
    GtkWidget *dia;
    
-   dia = GTK_WIDGET (gtk_builder_get_object (xml, "dialog_reboot"));
+   dia = GTK_WIDGET (gtk_builder_get_object (builder, "dialog_reboot"));
    gtk_window_set_focus_on_map(GTK_WINDOW(dia), focus_on_map);
    if (gtk_dialog_run (GTK_DIALOG(dia)) == GTK_RESPONSE_OK)
       request_reboot ();
@@ -144,7 +144,6 @@
 {
 	GtkWidget *widget;
 	GError* error = NULL;
-	GtkBuilder* builder;
 
 	builder = gtk_builder_new ();
 	if (!gtk_builder_add_from_file (builder, UIDIR"reboot-dialog.ui", &error)) {
@@ -152,7 +151,7 @@
 		g_error_free (error);
 	}
 
-	widget = GTK_WIDGET (gtk_builder_get_object (xml, "image"));
+	widget = GTK_WIDGET (gtk_builder_get_object (builder, "image"));
 	GtkIconTheme* icon_theme = gtk_icon_theme_get_default();
 	GdkPixbuf *pixbuf = gtk_icon_theme_load_icon (icon_theme, "un-reboot",
 						      48, 0,NULL);

